Package org.h2.value.lob

# Class LobData

java.lang.Object
org.h2.value.lob.LobData

Direct Known Subclasses:
  `LobDataDatabase`, `LobDataFetchOnDemand`, `LobDataFile`, `LobDataInMemory`

public abstract class LobData extends Object
LOB data.

## Method Summary

Modifier and Type
Method
Description
`DataHandler`
`getDataHandler()`
`abstract InputStream`
`getInputStream(long precision)`
Get stream to read LOB data from
`int`
`getMemory()`
Get the memory used by this object.
`boolean`
`isLinkedToTable()`
`void`
`remove(ValueLob value)`
Remove the underlying resource, if any.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInputStream

public abstract InputStream getInputStream(long precision)
Get stream to read LOB data from

Parameters:
  `precision` - octet length of the stream, or -1 if unknown
Returns:
  stream to read LOB data from

### getDataHandler

public DataHandler getDataHandler()

### isLinkedToTable

public boolean isLinkedToTable()

### remove

public void remove(ValueLob value)
Remove the underlying resource, if any. For values that are kept fully in memory this method has no effect.

Parameters:
  `value` - to remove

### getMemory

public int getMemory()
Get the memory used by this object.

Returns:
  the memory used in bytes